.material-table {
    border-collapse: collapse;
    width: 100%;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

.material-table th, .material-table td {
    padding: 8px;
    text-align: center;
    border: 1px solid rgba(0, 0, 0, 0.2);
}

.material-table thead {
    background-color: #2C9243;
    color: white;
}

.material-table th {
    font-weight: bold;
    font-size: 16px;
}

.material-table td {
    font-size: 14px;
}

.material-table tr:nth-child(even) {
    background-color: #f2f2f2;
}

.material-table td:first-child {
    background-color: #94d4a3;
    text-align: left;
    padding-right: 15px;
    font-weight: bold;
    color: black;
    vertical-align: middle;
}

.material-table td:not(:first-child) {
    text-align: center;
    vertical-align: middle;
    font-family: "Arial", sans-serif;
    font-size: 14px;
}

.material-table td:not(:first-child) sub {
    font-size: 10px;
    vertical-align: baseline;
}

/* Responsive styling for mobile */
@media (max-width: 767px) {
    .material-table {
        font-size: 12px;
        width: 100%;
        table-layout: fixed; /* Tambahkan ini */
    }

    .material-table th,
    .material-table td {
        padding: 5px;
        overflow: hidden; /* Mencegah konten keluar dari sel pada lebar yang kecil */
        text-overflow: ellipsis; /* Tambahkan tanda elipsis (...) untuk konten yang terpotong */
        white-space: nowrap; /* Tidak memungkinkan pemisahan baris pada sel */
    }

    .material-table th {
        font-size: 14px;
    }

    .material-table td:first-child {
        font-weight: bold;
        padding-right: 5px;
    }

    .material-table td:not(:first-child) {
        text-align: center;
    }
}
